<?php

    $fashion_blogs_theme_css= "";

    /*-------------------- Global First Color -------------------*/

    $fashion_blogs_theme_color = get_theme_mod('fashion_blogs_theme_color');
    $fashion_blogs_theme_color_2 = get_theme_mod('fashion_blogs_theme_color_2');

    if ($fashion_blogs_theme_color) {
        $fashion_blogs_theme_css .= ':root {';
        $fashion_blogs_theme_css .= '--first-color: ' . esc_attr($fashion_blogs_theme_color) . ' !important;';
        $fashion_blogs_theme_css .= '} ';
    }

    if ($fashion_blogs_theme_color_2) {
        $fashion_blogs_theme_css .= ':root {';
        $fashion_blogs_theme_css .= '--second-color: ' . esc_attr($fashion_blogs_theme_color_2) . ' !important;';
        $fashion_blogs_theme_css .= '} ';
    }

    /*--------------------------- Scroll To Top Positions -------------------*/

    $fashion_blogs_scroll_position = get_theme_mod( 'fashion_blogs_scroll_top_position','Right');
    if($fashion_blogs_scroll_position == 'Right'){
        $fashion_blogs_theme_css .='#button{';
            $fashion_blogs_theme_css .='right: 20px;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_scroll_position == 'Left'){
        $fashion_blogs_theme_css .='#button{';
            $fashion_blogs_theme_css .='left: 20px;right: auto;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_scroll_position == 'Center'){
        $fashion_blogs_theme_css .='#button{';
            $fashion_blogs_theme_css .='right: auto;left: 50%; transform:translateX(-50%);';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Scroll To Top Border Radius -------------------*/

    $fashion_blogs_scroll_to_top_border_radius = get_theme_mod('fashion_blogs_scroll_to_top_border_radius');
    $fashion_blogs_scroll_bg_color = get_theme_mod('fashion_blogs_scroll_bg_color');
    $fashion_blogs_scroll_color = get_theme_mod('fashion_blogs_scroll_color');
    $fashion_blogs_scroll_font_size = get_theme_mod('fashion_blogs_scroll_font_size');
    if($fashion_blogs_scroll_to_top_border_radius != false || $fashion_blogs_scroll_bg_color != false || $fashion_blogs_scroll_color != false || $fashion_blogs_scroll_font_size != false){
        $fashion_blogs_theme_css .='#colophon a#button{';
            $fashion_blogs_theme_css .='border-radius: '.esc_attr($fashion_blogs_scroll_to_top_border_radius).'px; background-color: '.esc_attr($fashion_blogs_scroll_bg_color).'; color: '.esc_attr($fashion_blogs_scroll_color).' !important; font-size: '.esc_attr($fashion_blogs_scroll_font_size).'px;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Slider Image Opacity -------------------*/

    $fashion_blogs_slider_img_opacity = get_theme_mod( 'fashion_blogs_slider_opacity_color','');
    if($fashion_blogs_slider_img_opacity == '0'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.1'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.1';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.2'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.2';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.3'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.3';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.4'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.4';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.5'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.5';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.6'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.6';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.7'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.7';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.8'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.8';
        $fashion_blogs_theme_css .='}';
        }else if($fashion_blogs_slider_img_opacity == '0.9'){
        $fashion_blogs_theme_css .='.slider-box img{';
            $fashion_blogs_theme_css .='opacity:0.9';
        $fashion_blogs_theme_css .='}';
        }

    /*---------------------------Slider Height ------------*/

    $fashion_blogs_slider_img_height = get_theme_mod('fashion_blogs_slider_img_height');
    if($fashion_blogs_slider_img_height != false){
        $fashion_blogs_theme_css .='#top-slider .owl-carousel .owl-item img{';
            $fashion_blogs_theme_css .='height: '.esc_attr($fashion_blogs_slider_img_height).';';
        $fashion_blogs_theme_css .='}';
    }

    /*---------------- Single post Settings ------------------*/

    $fashion_blogs_single_post_navigation_show_hide = get_theme_mod('fashion_blogs_single_post_navigation_show_hide',true);
    if($fashion_blogs_single_post_navigation_show_hide != true){
        $fashion_blogs_theme_css .='.nav-links{';
            $fashion_blogs_theme_css .='display: none;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Woocommerce Product Sale Positions -------------------*/

    $fashion_blogs_product_sale = get_theme_mod( 'fashion_blogs_woocommerce_product_sale','Right');
    if($fashion_blogs_product_sale == 'Right'){
        $fashion_blogs_theme_css .='.woocommerce ul.products li.product .onsale{';
            $fashion_blogs_theme_css .='left: auto; right: 15px;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_product_sale == 'Left'){
        $fashion_blogs_theme_css .='.woocommerce ul.products li.product .onsale{';
            $fashion_blogs_theme_css .='left: 15px; right: auto;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_product_sale == 'Center'){
        $fashion_blogs_theme_css .='.woocommerce ul.products li.product .onsale{';
            $fashion_blogs_theme_css .='right: 50%;left: 50%;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Woocommerce Product Border Radius -------------------*/

    $fashion_blogs_woo_product_border_radius = get_theme_mod('fashion_blogs_woo_product_border_radius', 0);
    if($fashion_blogs_woo_product_border_radius != false){
        $fashion_blogs_theme_css .='.woocommerce ul.products li.product a img{';
            $fashion_blogs_theme_css .='border-radius: '.esc_attr($fashion_blogs_woo_product_border_radius).'px;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Single Post Page Image Box Shadow -------------------*/

    $fashion_blogs_single_post_page_image_box_shadow = get_theme_mod('fashion_blogs_single_post_page_image_box_shadow',0);
    if($fashion_blogs_single_post_page_image_box_shadow != false){
        $fashion_blogs_theme_css .='.single-post .entry-header img{';
            $fashion_blogs_theme_css .='box-shadow: '.esc_attr($fashion_blogs_single_post_page_image_box_shadow).'px '.esc_attr($fashion_blogs_single_post_page_image_box_shadow).'px '.esc_attr($fashion_blogs_single_post_page_image_box_shadow).'px #cccccc;';
        $fashion_blogs_theme_css .='}';
    }

     /*--------------------------- Single Post Page Image Border Radius -------------------*/

    $fashion_blogs_single_post_page_image_border_radius = get_theme_mod('fashion_blogs_single_post_page_image_border_radius', 0);
    if($fashion_blogs_single_post_page_image_border_radius != false){
        $fashion_blogs_theme_css .='.single-post .entry-header img{';
            $fashion_blogs_theme_css .='border-radius: '.esc_attr($fashion_blogs_single_post_page_image_border_radius).'px;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Footer Background Image Position -------------------*/

    $fashion_blogs_footer_bg_image_position = get_theme_mod( 'fashion_blogs_footer_bg_image_position','scroll');
    if($fashion_blogs_footer_bg_image_position == 'fixed'){
        $fashion_blogs_theme_css .='#colophon{';
            $fashion_blogs_theme_css .='background-attachment: fixed !important; background-position: center !important;';
        $fashion_blogs_theme_css .='}';
    }elseif ($fashion_blogs_footer_bg_image_position == 'scroll'){
        $fashion_blogs_theme_css .='#colophon{';
            $fashion_blogs_theme_css .='background-attachment: scroll !important; background-position: center !important;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Footer Widget Heading Alignment -------------------*/

    $fashion_blogs_footer_widget_heading_alignment = get_theme_mod( 'fashion_blogs_footer_widget_heading_alignment','Left');
    if($fashion_blogs_footer_widget_heading_alignment == 'Left'){
        $fashion_blogs_theme_css .='#colophon h5, h5.footer-column-widget-title{';
        $fashion_blogs_theme_css .='text-align: left;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_footer_widget_heading_alignment == 'Center'){
        $fashion_blogs_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $fashion_blogs_theme_css .='text-align: center;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_footer_widget_heading_alignment == 'Right'){
        $fashion_blogs_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $fashion_blogs_theme_css .='text-align: right;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Footer background image -------------------*/

    $fashion_blogs_footer_bg_image = get_theme_mod('fashion_blogs_footer_bg_image');
    if($fashion_blogs_footer_bg_image != false){
        $fashion_blogs_theme_css .='#colophon{';
            $fashion_blogs_theme_css .='background: url('.esc_attr($fashion_blogs_footer_bg_image).');';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Copyright Background Color -------------------*/

    $fashion_blogs_copyright_background_color = get_theme_mod('fashion_blogs_copyright_background_color');
    if($fashion_blogs_copyright_background_color != false){
        $fashion_blogs_theme_css .='.footer_info{';
            $fashion_blogs_theme_css .='background-color: '.esc_attr($fashion_blogs_copyright_background_color).' !important;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Site Title And Tagline Color -------------------*/

    $fashion_blogs_logo_title_color = get_theme_mod('fashion_blogs_logo_title_color');
    if($fashion_blogs_logo_title_color != false){
        $fashion_blogs_theme_css .='p.site-title a, .navbar-brand a{';
            $fashion_blogs_theme_css .='color: '.esc_attr($fashion_blogs_logo_title_color).' !important;';
        $fashion_blogs_theme_css .='}';
    }

    $fashion_blogs_logo_tagline_color = get_theme_mod('fashion_blogs_logo_tagline_color');
    if($fashion_blogs_logo_tagline_color != false){
        $fashion_blogs_theme_css .='.logo p.site-description, .navbar-brand p{';
            $fashion_blogs_theme_css .='color: '.esc_attr($fashion_blogs_logo_tagline_color).'  !important;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Footer Widget Content Alignment -------------------*/

    $fashion_blogs_footer_widget_content_alignment = get_theme_mod( 'fashion_blogs_footer_widget_content_alignment','Left');
    if($fashion_blogs_footer_widget_content_alignment == 'Left'){
        $fashion_blogs_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
        $fashion_blogs_theme_css .='text-align: left;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_footer_widget_content_alignment == 'Center'){
        $fashion_blogs_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $fashion_blogs_theme_css .='text-align: center;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_footer_widget_content_alignment == 'Right'){
        $fashion_blogs_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $fashion_blogs_theme_css .='text-align: right;';
        $fashion_blogs_theme_css .='}';
    }

    /*--------------------------- Copyright Content Alignment -------------------*/

    $fashion_blogs_copyright_content_alignment = get_theme_mod( 'fashion_blogs_copyright_content_alignment','Center');
    if($fashion_blogs_copyright_content_alignment == 'Left'){
        $fashion_blogs_theme_css .='.footer-menu-left{';
        $fashion_blogs_theme_css .='text-align: left;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_copyright_content_alignment == 'Center'){
        $fashion_blogs_theme_css .='.footer-menu-left{';
            $fashion_blogs_theme_css .='text-align: center;';
        $fashion_blogs_theme_css .='}';
    }else if($fashion_blogs_copyright_content_alignment == 'Right'){
        $fashion_blogs_theme_css .='.footer-menu-left{';
            $fashion_blogs_theme_css .='text-align: right;';
        $fashion_blogs_theme_css .='}';
    }

    /*-------------------- Heading typography -------------------*/

    $fashion_blogs_heading_color = get_theme_mod('fashion_blogs_heading_color');
    $fashion_blogs_heading_font_family = get_theme_mod('fashion_blogs_heading_font_family');
    $fashion_blogs_heading_font_size = get_theme_mod('fashion_blogs_heading_font_size');
    if($fashion_blogs_heading_color != false || $fashion_blogs_heading_font_family != false || $fashion_blogs_heading_font_size != false){
        $fashion_blogs_theme_css .='h1, h2, h3, h4, h5, h6, .navbar-brand h1.site-title, h2.entry-title, h1.entry-title, h2.page-title, #latest_post h2, h2.woocommerce-loop-product__title, #colophon h5, .sidebar h5, .slider-inner-box h1 a, .article-box h3.entry-title{';
            $fashion_blogs_theme_css .='color: '.esc_attr($fashion_blogs_heading_color).'!important; 
            font-family: '.esc_attr($fashion_blogs_heading_font_family).'!important;
            font-size: '.esc_attr($fashion_blogs_heading_font_size).'px !important;';
        $fashion_blogs_theme_css .='}';
    }

    $fashion_blogs_paragraph_color = get_theme_mod('fashion_blogs_paragraph_color');
    $fashion_blogs_paragraph_font_family = get_theme_mod('fashion_blogs_paragraph_font_family');
    $fashion_blogs_paragraph_font_size = get_theme_mod('fashion_blogs_paragraph_font_size');
    if($fashion_blogs_paragraph_color != false || $fashion_blogs_paragraph_font_family != false || $fashion_blogs_paragraph_font_size != false){
        $fashion_blogs_theme_css .='p, p.site-title, span, .article-box p, ul, li{';
            $fashion_blogs_theme_css .='color: '.esc_attr($fashion_blogs_paragraph_color).'!important; 
            font-family: '.esc_attr($fashion_blogs_paragraph_font_family).'!important;
            font-size: '.esc_attr($fashion_blogs_paragraph_font_size).'px !important;';
        $fashion_blogs_theme_css .='}';
    }

    /*------------------ Nav Menus -------------------*/

    $fashion_blogs_nav_menu = get_theme_mod( 'fashion_blogs_nav_menu_text_transform','Uppercase');
    if($fashion_blogs_nav_menu == 'Capitalize'){
        $fashion_blogs_theme_css .='.main-navigation .menu > li > a{';
            $fashion_blogs_theme_css .='text-transform:Capitalize;';
        $fashion_blogs_theme_css .='}';
    }
    if($fashion_blogs_nav_menu == 'Lowercase'){
        $fashion_blogs_theme_css .='.main-navigation .menu > li > a{';
            $fashion_blogs_theme_css .='text-transform:Lowercase;';
        $fashion_blogs_theme_css .='}';
    }
    if($fashion_blogs_nav_menu == 'Uppercase'){
        $fashion_blogs_theme_css .='.main-navigation .menu > li > a{';
            $fashion_blogs_theme_css .='text-transform:Uppercase;';
        $fashion_blogs_theme_css .='}';
    }

    $fashion_blogs_menu_font_size = get_theme_mod( 'fashion_blogs_menu_font_size');
    if($fashion_blogs_menu_font_size != ''){
        $fashion_blogs_theme_css .='.main-navigation .menu > li > a{';
            $fashion_blogs_theme_css .='font-size: '.esc_attr($fashion_blogs_menu_font_size).'px;';
        $fashion_blogs_theme_css .='}';
    }

    $fashion_blogs_nav_menu_font_weight = get_theme_mod( 'fashion_blogs_nav_menu_font_weight',600);
    if($fashion_blogs_menu_font_size != ''){
        $fashion_blogs_theme_css .='.main-navigation .menu > li > a{';
            $fashion_blogs_theme_css .='font-weight: '.esc_attr($fashion_blogs_nav_menu_font_weight).';';
        $fashion_blogs_theme_css .='}';
    }

    /*------------------ Slider CSS -------------------*/

    $fashion_blogs_slider_content_layout = get_theme_mod( 'fashion_blogs_slider_content_layout','Left');
    if($fashion_blogs_slider_content_layout == 'Left'){
        $fashion_blogs_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $fashion_blogs_theme_css .='text-align : left;';
        $fashion_blogs_theme_css .='}';
    }
    if($fashion_blogs_slider_content_layout == 'Center'){
        $fashion_blogs_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $fashion_blogs_theme_css .='text-align : center;';
        $fashion_blogs_theme_css .='}';
        $fashion_blogs_theme_css .='.slider-inner-box{';
            $fashion_blogs_theme_css .='left: 20%; right: 20%';
        $fashion_blogs_theme_css .='}';
    }
    if($fashion_blogs_slider_content_layout == 'Right'){
        $fashion_blogs_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $fashion_blogs_theme_css .='text-align : right;';
        $fashion_blogs_theme_css .='}';
        $fashion_blogs_theme_css .='.slider-inner-box{';
            $fashion_blogs_theme_css .='left: 20%; right: 5%';
        $fashion_blogs_theme_css .='}';
    }